@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  Bambi startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and BAMBI_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\Bambi-23.05.0.jar;%APP_HOME%\lib\JDFUtility-1.7.5.jar;%APP_HOME%\lib\log4j-jcl-2.20.0.jar;%APP_HOME%\lib\log4j-core-2.20.0.jar;%APP_HOME%\lib\JDFLibJ-JSON-1.1.015.jar;%APP_HOME%\lib\JDFLibJ-2.1.7.33.jar;%APP_HOME%\lib\jetty-servlet-10.0.15.jar;%APP_HOME%\lib\json-simple-1.1.1.jar;%APP_HOME%\lib\commons-logging-api-1.1.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\commons-fileupload-1.4.jar;%APP_HOME%\lib\commons-io-2.11.0.jar;%APP_HOME%\lib\mail-1.4.7.jar;%APP_HOME%\lib\log4j-api-2.20.0.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\xercesImpl-2.12.2.jar;%APP_HOME%\lib\mailapi-1.4.3.jar;%APP_HOME%\lib\jetty-security-10.0.15.jar;%APP_HOME%\lib\jetty-server-10.0.15.jar;%APP_HOME%\lib\jetty-http-10.0.15.jar;%APP_HOME%\lib\jetty-io-10.0.15.jar;%APP_HOME%\lib\jetty-util-10.0.15.jar;%APP_HOME%\lib\slf4j-api-2.0.5.jar;%APP_HOME%\lib\junit-4.10.jar;%APP_HOME%\lib\activation-1.1.jar;%APP_HOME%\lib\xml-apis-1.4.01.jar;%APP_HOME%\lib\hamcrest-core-1.1.jar;%APP_HOME%\lib\jetty-servlet-api-4.0.6.jar


@rem Execute Bambi
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %BAMBI_OPTS%  -classpath "%CLASSPATH%" org.cip4.bambi.server.BambiServer %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable BAMBI_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%BAMBI_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
